# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-repoze-who-testutil
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       python-module-repoze-who-testutil
Version:    1.0.1
Release:    alt1_4
Summary:    Test utilities for repoze.who-powered applications
Group:      Development/Python
License:    BSD
URL:        http://code.gustavonarea.net/repoze.who-testutil/
Source0:    http://pypi.python.org/packages/source/r/repoze.who-testutil/repoze.who-testutil-%{version}.tar.gz
Source1:    http://repoze.org/LICENSE.txt

Patch0:     %{oldname}-setuptools.patch
BuildArch:  noarch
BuildRequires:  python-devel python-module-distribute
Source44: import.info
# Test suite requirements
# BuildRequires:    python-paste-deploy, python-repoze-who >= 1.0, python-nose, python-coverage

%description
repoze.who-testutil is a repoze.who plugin which modifies repoze.whoa.'s 
original middleware to make it easier to forge authentication, without 
bypassing identification (this is, running the metadata providers).
Ita.'s been created in order to ease testing of repoze.who-powered 
applications, in a way independent of the identifiers, authenticators 
and challengers used originally by your application, so that you wona.'t have 
to update your test suite as your application grows and the authentication 
method changes.

%prep
%setup -q -n repoze.who-testutil-%{version}
cp %{SOURCE1} .
%patch0 -p0 -b .setuptools

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
# Tests are pretty broken. Oh, the irony.
#PYTHONPATH=$(pwd) nosetests

%files
%doc README.txt
%{python_sitelibdir_noarch}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_3
- initial fc import

